#!/bin/sh

# parameters for gmt pscoast
R='-R';
#R="-R"
J='-J';
B="-B30f10 -BWSne";
#O='-A5000 -W1 -P';

grid=./caribDpp_CG6.nc
outputps=figures/inversion_map_CG6.ps

gmt set MAP_DEFAULT_PEN black
gmt set MAP_FRAME_WIDTH 4p
gmt set FONT_ANNOT_PRIMARY 30p,Helvetica,black
gmt set FONT 38p,Helvetica,black
gmt set PS_MEDIA 1850x1250 #A0
gmt set PS_PAGE_ORIENTATION landscape
gmt set COLOR_NAN white

MP=3.

threshold=0

color=blocktest_another.cpt
gmt makecpt -T-${MP}/${MP} -C$color -W > colorpalette.cpt
color=colorpalette.cpt

gmt grdsample $grid\?dvs\(2516\) -R$grid\?dvs\(2516\) -Gtmp.grd -I.1/.1 -n+c+t$threshold
gmt grdimage tmp.grd -JM12 -R -C$color -B30f10 -BWSne -K -P -Y27 > $outputps
#gmt psscale -C$color -D5/-1.2/8/0.4h -B${MP}:dln\ Vs\(\%\): -K  -Y-1 -X1 -O >>$outputps
gmt pscoast -R -J -K -O -Wthick  >> $outputps
gmt pstext -F+jLB -R -J -O -K -N << EOF >> $outputps
-110 42 400 km - 350 km
EOF

gmt grdsample $grid\?dvs\(2566\) -R -Gtmp.grd -I.1/.1 -n+c+t$threshold
gmt grdimage tmp.grd  -J  -R -C$color -B30f10 -BWSne -K -O -P  -X16 >> $outputps
#gmt psscale -C$color -D5/-1.2/8/0.4h -B${MP}:dln\ Vs\(\%\): -K -O -Y-1 -X1 >>$outputps
gmt pscoast -R -J -K -O -Wthick >> $outputps
gmt pstext -F+jLB -R -J -O -K -N << EOF >> $outputps
-110 42 350 km - 300 km
EOF

gmt grdsample $grid\?dvs\(2616\) -R -Gtmp.grd -I.1/.1 -n+c+t$threshold
gmt grdimage tmp.grd  -J  -R -C$color -B30f10 -BWSne -K -O -P -X16 >> $outputps
#gmt psscale -C$color -D5/-1.2/8/0.4h -B${MP}:dln\ Vs\(\%\): -K -O -Y-1 -X1 >>$outputps
gmt pscoast -R -J -K -O -Wthick >> $outputps
gmt pstext -F+jLB -R -J -O -K -N << EOF >> $outputps
-110 42 300 km - 250 km
EOF

gmt grdsample $grid\?dvs\(2666\) -R -Gtmp.grd -I.1/.1 -n+c+t$threshold
gmt grdimage tmp.grd  -J  -R -C$color -B30f10 -BWSne -K -O -P -X16 >> $outputps
#gmt psscale -C$color -D5/-1.2/8/0.4h -B${MP}:dln\ Vs\(\%\): -K -O -Y-1 -X1 >>$outputps
gmt pscoast -R -J -K -O -Wthick >> $outputps
gmt pstext -F+jLB -R -J -O -K -N << EOF >> $outputps
-110 42 250 km - 200 km
EOF

gmt grdsample $grid\?dvs\(2716\) -R -Gtmp.grd -I.1/.1 -n+c+t$threshold
gmt grdimage tmp.grd  -J  -R -C$color -B30f10 -BWSne -K -P -Y-19 -X-48 -O >> $outputps
#gmt psscale -C$color -D5/-1.2/8/0.4h -B${MP}:dln\ Vs\(\%\): -K -O -Y-1 -X1 >>$outputps
gmt pscoast -R -J  -K -O -Wthick >> $outputps
gmt pstext -F+jLB -R -J -O -K -N << EOF >> $outputps
-110 42 200 km - 150 km
EOF

gmt grdsample $grid\?dvs\(2766\) -R -Gtmp.grd -I.1/.1 -n+c+t$threshold
gmt grdimage tmp.grd  -J  -R -C$color -B30f10 -BWSne -K -O -P -X16 >> $outputps
#gmt psscale -C$color -D5/-1.2/8/0.4h -B${MP}:dln\ Vs\(\%\): -K -O -Y-1 -X1 >>$outputps
gmt pscoast -R -J  -K -O -Wthick >> $outputps
gmt pstext -F+jLB -R -J -O -K -N << EOF >> $outputps
-110 42 150 km - 100 km
EOF

gmt grdsample $grid\?dvs\(2816\) -R -Gtmp.grd -I.1/.1 -n+c+t$threshold
gmt grdimage tmp.grd -J  -R -C$color -B30f10 -BWSne -K -O -P -X16 >> $outputps
#gmt psscale -C$color -D5/-1.2/8/0.4h -B${MP}:dln\ Vs\(\%\): -K -O -Y-1 -X1 >>$outputps
gmt pscoast -R -J -K -O -Wthick >> $outputps
gmt pstext -F+jLB -R -J -O -K -N << EOF >> $outputps
-110 42 100 km - 50 km
EOF

gmt grdsample $grid\?dvs\(2866\) -R -Gtmp.grd -I.1/.1 -n+c+t$threshold
gmt grdimage tmp.grd -J  -R -C$color -B30f10 -BWSne -K -O -P -X16 >> $outputps
#gmt psscale -C$color -D5/-1.2/8/0.4h -B${MP}:dln\ Vs\(\%\): -K -O -Y-1 -X1 >>$outputps
gmt pscoast -R -J -O -Wthick -K >> $outputps
gmt pstext -F+jLB -R -J -O -K -N << EOF >> $outputps
-110 42 50 km - 0 km
EOF


gmt psscale -C$color -D5/-1.2/10/0.6h -B$MP:dVs\/Vs\ \(\%\): -Y-2.5 -X-23 -O >>$outputps
gmt psconvert $outputps -Tf

rm tmp.grd colorpalette.cpt
